Plesk Onyx Update#4

Created:

2016-12-12 03:41:12 UTC

Modified:

2017-05-16 12:05:55 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Plesk Onyx Update#4

Applicable to:

  • Plesk Onyx for Linux
  • Plesk Onyx for Windows

Release Notes

Plesk team is pleased to introduce the new Update #4 for the Plesk Onyx.

The Plesk Onyx Update #4 is recommended for all Plesk users and includes general functionality fixes that improve the stability, compatibility, and security of your Plesk server.

To ensure optimal server reliability and security, we strongly recommend keeping your operating system and Plesk software up-to-date.

What's Changed

Plesk Onyx MU#4

The following issues were resolved:

[-] Adding a second IP address to a Plesk server and configuring the mail server to use it for outgoing mail resulted in webmail becoming inaccessible. (PPP-26499)

[-] Individual objects (such as mailboxes) could not be restored from server level Plesk backups. (PPP-26496)

[-] Retrieving the status of the DNS zone template via XML API resulted in the "enabled" message even if the DNS zone template was disabled. (PPP-26484)

[-] Backing up to the FTP repository failed if the backup file could not be uploaded in one hour. (PPP-26478)

[-] Updated additional keys for ISV extensions could not be retrieved. (PPP-26447)

[-] (on Linux) Plesk installed on a Xen virtual machine incorrectly detected the environment as a physical server. (PPPM-5075)

[-] (on Linux) Backups stored in the FTP repository could not be restored if the DUMP_D and DUMP_TMP_D directories were located on different devices. (PPP-26469)

[-] (on Linux) In Site Preview, users could not log in to Magento. (PPP-26455)

[-] (on Linux) Plesk installed on a Proxmox virtual machine incorrectly detected the environment as a physical server.(PPPM-4825)

[-] (on Linux) On Ubuntu 12.04 x64 servers, setting the PHP handler for a domain using PHP 5.3.10 supplied by the OS vendor to "FPM application served by nginx" resulted in an error. (PPP-19481)

[-] (on Windows) Password-protected incremental backups stored in the FTP repository could not be restored if the "Input password manually" option was selected. (PPP-26461)

Extension Updates

Docker 1.2

[-] Docker extension installation hung on Linode servers with Ubuntu 16.04. (EXTDOCKER-25)

Ruby 1.2

[*] Ruby versions were updated to 2.1.10, 2.2.5, 2.3.1. Bundler version was updated to 1.13.5. The rbenv utility version was updated to 1.1.0. (EXTRUBY-13)

Node.JS 1.2

[*] Node.js versions were updated to 4.6.1 (npm 2.15.9) and 6.9.1 (npm 3.10.8). (EXTNODEJS-8)

Legend:

[+] - Added

[-] - Fixed

[*] - Improved

Installation Instructions

#128626 : Using Micro-Updates in Plesk

A complete list of changes can be found here:

Plesk Onyx Change Log

Have more questions? Submit a request
Please sign in to leave a comment.